Subject: Re: v8 with remote X server
From: [email-masked] (Steve Biederman)
Date: 3 Dec 92 00:01:08 GMT
Newsgroups: comp.sys.mentor

In article <[email-masked]>, [email-masked] (Hardy Pottinger) writes:
> Help!
> I'm trying to run Design Architect  v8.1_1.28_3 on a sun IPX
> remotely from a Decstation 5000 X server.  I get as far as the
> copyright notice and the message Trying Ttydd (7d0f0009)
> and then it hangs.

First, note that the following procedure SHOULD work, but will not be
officially supported until 8.2.

The message "Trying ttydd..." (not very obviously) means that either 
the server cannot be connected to, or that the fonts are missing. 
If other X clients work from the same shell (such as xclock) you are 
able to connect to the server. The fonts are probably the problem.
You will need to create suitable fonts for the DEC 5000. We
do not deliver fonts for it in already-compiled form.  Here's how:

1. On the Sun, search the idea tree (including any linked or
mounted portions) for files whose names end in '.bdf'.

2. Collect copies of all these files in a single directory.

3. Log in on the DEC machine.

4. Move the directory containing the .bdf files to the DEC machine.

5. Make this new directory your working directory.

6. Compile the fonts for the DEC machine. This probably involves
something like

   #!/bin/sh
   for i in *.bdf; do
      echo $i
      /usr/bin/X11/bdftosnf <$i >`basename $i .bdf`.snf
   done

7. Be sure the directory containing the .snf files is your working
directory. Make a fonts.dir file by executing, with no arguments,
      /usr/bin/X11/mkfontdir

8. Add this directory to your server's font path:
      /usr/bin/X11/xset +fp <the_font_directory_INCLUDING_A_TRAILING_SLASH>

9. Check that your font directory is now at the head of the list of
                                                            font directories:
    xset q
    
9. Run DA. You will probably get some complaints, but it will work.
    At 8.1, Falcon still tries to locate the fonts in the idea tree.

10. If you still have trouble, send me email.

    Steve Biederman
    [email-masked]

    

Article: 307 of comp.sys.mentor
Path: Intrepid!moe.ksu.ksu.edu!usenet-feed.cc.umr.edu!cnews
From: [email-masked] (Hardy Pottinger)
Newsgroups: comp.sys.mentor
Subject: V8 with remote X server solved
Message-ID: <[email-masked]>
Date: 3 Dec 92 02:27:26 GMT
Sender: [email-masked] (UMR Usenet News Post)
Reply-To: [email-masked] (Hardy Pottinger)
Distribution: usa
Organization: University of Missouri - Rolla
Lines: 49
Nntp-Posting-Host: franklin.ee.umr.edu
Originator: [email-masked]

The problem with 'Ttydd' was due to missing fonts on the X server.
Here's a summary of the replies I received:

From [email-masked] Tue Dec  1 21:33:30 1992

I'm appending the message I distributed at the U of I for doing this but I
can't send you the fonts.  The list of places you need to look for fonts is

    /idea/pkgs/base/fonts/
    /idea/registry/fonts/
     from /idea/shared/registry/fonts/
    /idea/shared/pkgs/dss_rgy/registry/fonts/
    /idea/pkgs/boldadm/fonts
    /idea/pkgs/boldbro/fonts
    /idea/pkgs/ic/fonts
    /idea/pkgs/dsparch_da/userware/default

From: [email-masked]
Your problem is that the idea station fonts required do not
exist on your decstation 5000. You need to re-build the
x-windows fonts on the 5000 from idea fonts on the IPX or better
yet from an HP. (The sun fonts are unpleasant)

Call the hotline  800.547.4303 -- they will help. (that is if you
are a registered user. )

From: "Mark K. Bettinger" <[email-masked]>

One of the recent CSBs mentioned the problem with ttydd.
The suggested solution was to make sure the remote
server (the decstation in your case) has all the fonts
available.  Your AE should be able to get you a copy of
the document "Configuring X Windows for Mentor Graphics
Falcon-based Software".  We received a pre-release version.

Their recommendation is to place all the .bdf files in
$MGC_HOME/pkgs/* and $MGC_HOM/shared/pkgs/* into a single
directory on the server, run bdftosnf on them, run mkfontdir
in that directory, and then run "xset +fp new_font_directory;
xset fp rehash".  I hope this helps

(Ed note:  the CSB mentioned is the October 92 one, page 16.  There's
also a helpful note on page 7 about the xgl library which was causing
me problems with system_1076.  It helps to clean off my desk once in a
while! --hjp)
-- 
              Hardy J. Pottinger        ([email-masked])
-----University of Mo - Rolla   Dept of Elect. Engr  (314) 341-4511------